#FateforgeTools
blabla

### Lib
- bryntum-grid
- water.css
- data localize
- jquery

## Spells

### JSON structure

| field                    | type      | value                                                                                                                                                       |
| ------------------------ | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                       | _number_  | unique id for the spell, for localization purpose                                                                                                           |
| name                     | _string_  | spell's name                                                                                                                                                |
| source                   | _number_  | where the spell is coming from                                                                                                                              |
| page                     | _number_  | page source                                                                                                                                                 |
| srd                      | _boolean_ | is this a srd or a creation                                                                                                                                 |
| level                    | _number_  | spell's level                                                                                                                                               |
| school                   | _string_  | spell school : "A" : Abjuration,"C" : Conjuration, "D": Divination, "E": Enchantment, "N": Necromancy, "T" : Transmutation, "I" : Illusion, "V" : Evocation |
| time                     | _array_   | incantation time                                                                                                                                            |
| time.number              | _number_  |                                                                                                                                                             |
| time.unit                | _string_  |                                                                                                                                                             |
| range                    | _module_  |                                                                                                                                                             |
| range.type               | _string_  | point by default, but can be cone, sphere, cylinder, special                                                                                                |
| range.distance           | _module_  |                                                                                                                                                             |
| range.distance.type      | _string_  | feet or meter or other unit measure                                                                                                                         |
| range.distance.amount    | _number_  | amount of distance in `range.distance.type`                                                                                                                 |
| components               | _module_  |                                                                                                                                                             |
| components.v             | _boolean_ | verbal component                                                                                                                                            |
| components.s             | _boolean_ | somatic component                                                                                                                                           |
| components.m             | _string_  | materials components                                                                                                                                        |
| duration                 | _array_   |                                                                                                                                                             |
| duration.type            | _string_  | timed, permanent, special or instant                                                                                                                        |
| duration.duration        | _module_  |                                                                                                                                                             |
| duration.duration.type   | _string_  | minute or hours                                                                                                                                             |
| duration.duration.amount | _number_  | amount of `duration.duration.type`                                                                                                                          |
| concentration            | _boolena_ | does spell need concentration ?                                                                                                                             |
| desc                     | _array_   | markdown description of the spell                                                                                                                           |
| damageInflict            | _string_  |                                                                                                                                                             |
| conditionInflict         | _string_  |                                                                                                                                                             |
| savingThrow              | _array_   | array of string of saving Throw available                                                                                                                   |
| miscTags                 | _array_   |                                                                                                                                                             |
|                          |           |                                                                                                                                                             |
